View Issue Details

IDProjectCategoryView StatusLast Update
0000946OpenFOAM[All Projects] Bugpublic2016-03-18 14:21
ReporterdkxlsAssigned Touser2 
PrioritylowSeveritytweakReproducibilityN/A
Status resolvedResolutionfixed 
PlatformOpenSUSE 12.2OSLinuxOS Versionx86_64
Product Version 
Fixed in Version 
Summary0000946: [SprayParcel]: Remove unnecessary if statement in void Foam::SprayParcel<ParcelType>::calc
Description--- SprayParcel.C~ 2013-08-06 14:42:08.160847436 +0300
+++ SprayParcel.C 2013-08-06 14:42:08.172847464 +0300
@@ -70,10 +70,7 @@ void Foam::SprayParcel<ParcelType>::calc
     if (liquidCore() > 0.5)
     {
         // liquid core parcels should not interact with the gas
- if (td.cloud().solution().coupled())
- {
- td.cloud().solution().coupled() = false;
- }
+ td.cloud().solution().coupled() = false;
     }
 
     // set the maximum temperature limit
Additional Informationsource file:
src/lagrangian/spray/parcels/Templates/SprayParcel/SprayParcel.C
TagsNo tags attached.

Activities

dkxls

2013-08-06 12:53

reporter  

SprayParcel.patch (493 bytes)
--- SprayParcel.C~	2013-08-06 14:42:08.160847436 +0300
+++ SprayParcel.C	2013-08-06 14:42:08.172847464 +0300
@@ -70,10 +70,7 @@ void Foam::SprayParcel<ParcelType>::calc
     if (liquidCore() > 0.5)
     {
         // liquid core parcels should not interact with the gas
-        if (td.cloud().solution().coupled())
-        {
-            td.cloud().solution().coupled() = false;
-        }
+        td.cloud().solution().coupled() = false;
     }
 
     // set the maximum temperature limit
SprayParcel.patch (493 bytes)

dkxls

2013-08-06 17:40

reporter   ~0002375

This bug is redundant to the changes suggested in bug
http://www.openfoam.org/mantisbt/view.php?id=942

user2

2013-08-09 13:13

  ~0002385

Updated during commit b592ac

Issue History

Date Modified Username Field Change
2013-08-06 12:53 dkxls New Issue
2013-08-06 12:53 dkxls File Added: SprayParcel.patch
2013-08-06 17:40 dkxls Note Added: 0002375
2013-08-09 13:13 user2 Note Added: 0002385
2013-08-09 13:13 user2 Status new => resolved
2013-08-09 13:13 user2 Fixed in Version => 2.2.x
2013-08-09 13:13 user2 Resolution open => fixed
2013-08-09 13:13 user2 Assigned To => user2